Search documentation of wx

# View Source wxColourPickerEvent (wx v2.4.3.1)

This event class is used for the events generated by `wxColourPickerCtrl`.

See: `wxColourPickerCtrl`

This class is derived, and can use functions, from:

- `wxCommandEvent`

- `wxEvent`

wxWidgets docs: wxColourPickerEvent

## Events

Use `wxEvtHandler:connect/3` with `wxColourPickerEventType` to subscribe to events of this type.

# Summary

## Types

wxColourPicker()
wxColourPickerEvent()
wxColourPickerEventType()

## Functions

getColour(This)

Retrieve the colour the user has just selected.

# Types

# wxColourPicker()

    -type wxColourPicker() ::
              #wxColourPicker{type :: wxColourPickerEvent:wxColourPickerEventType(),
                              colour :: wx:wx_colour()}.

# wxColourPickerEvent()

    -type wxColourPickerEvent() :: wx:wx_object().

# wxColourPickerEventType()

    -type wxColourPickerEventType() :: command_colourpicker_changed.

# Functions

# getColour(This)

    -spec getColour(This) -> wx:wx_colour4() when This :: wxColourPickerEvent().

Retrieve the colour the user has just selected.